import request from '@/http/request.js';

// 获取数据源-通用
export const pmsQueryComboxData = (data) => {
  return request({
    url: 'dcs/dcs/queryComboxData.action',
    method: 'post',
    data: data
  })
}

// 查询数据源PMS服务
export const queryComboxDataPMS = (data) => {
  return request({
    url: 'pms/baseRcs/queryComboxData.action',
    method: 'post',
    data: data
  })
}

// 获取系统日期
export const getSystemDate = (data) => {
  return request({
    url: 'pub/desktop/getSystemDate.action',
    method: 'post',
    data
  })
}

// pms服务获取系统日期
export const getSystemDatePMS = (data) => {
  return request({
    url: 'pms/getSystemDate.action',
    method: 'post',
    data
  })
}

// 期权计算器-获取日期
export const getValueDate = (data) => {
  return request({
    url: 'dcs/dcs/getValueDate.action',
    method: 'post',
    data
  })
}

// pms服务获取日期
export const getValueDatePMS = (data) => {
  return request({
    url: 'pms/getValueDate.action',
    method: 'post',
    data
  })
}

// 期权计算器-获取日期间隔
export const getbetweenDays = (data) => {
  return request({
    url: 'dcs/dcs/getbetweenDays.action',
    method: 'post',
    data
  })
}

// pms服务查询日期间隔
export const getbetweenDaysPMS = (data) => {
  return request({
    url: 'pms/getbetweenDays.action',
    method: 'post',
    data
  })
}

// 期权计算器-获取金额
export const getPairInfo = (data) => {
  return request({
    url: 'dcs/dcs/getPairInfo.action',
    method: 'post',
    data
  })
}
// pms服务查询金额
export const getPairInfoPMS = (data) => {
  return request({
    url: 'pms/getPairInfo.action',
    method: 'post',
    data
  })
}

// 期权计算器-获取QuantoPairs
export const getQuantoPairs = (data) => {
  return request({
    url: 'dcs/dcs/getQuantoPairs.action',
    method: 'post',
    data
  })
}
// 期权计算器-获取Model
export const getModelByParam = (data) => {
  return request({
    url: 'pms/getModelByParam.action',
    method: 'post',
    data
  })
}
// 期权计算器-获取市场数据
export const findMarketInfoForAnalysis = (data) => {
  return request({
    url: 'mds/mds/findMarketInfoForAnalysis.action',
    method: 'post',
    data
  })
}
// 期权计算器-获取市场价格
export const findMarketPriceForValAnalysis = (data) => {
  return request({
    url: 'mds/findMarketPriceForValAnalysis.action',
    method: 'post',
    data
  })
}
// 期权计算器-保存市场价格
export const saveMarketPriceForValAnalysis = (data) => {
  return request({
    url: 'mds/saveMarketPriceForValAnalysis.action',
    method: 'post',
    data
  })
}
// 期权计算器-估值
export const simulationValuationAnalysis = (data) => {
  return request({
    url: 'mds/simulationValuationAnalysis.action',
    method: 'post',
    data
  })
}
// 期权计算器-试算
export const simulateDealWithVlParam = (data) => {
  return request({
    url: 'mds/simulateDealWithVlParam.action',
    method: 'post',
    data
  })
}
// 期权计算器-获取定价列表
export const createObs = (data) => {
  return request({
    url: 'pms/createObs.action',
    method: 'post',
    data
  })
}
// 期权计算器-获取执行价
export const getPoints = (data) => {
  return request({
    url: 'dcs/dcs/getPoints.action',
    method: 'post',
    data
  })
}

// pms服务查询执行价
export const getPointsPMS = (data) => {
  return request({
    url: 'pms/getForwardRate.action',
    method: 'post',
    data
  })
}

// 逐笔估值结果查询-获取数据源
export const baseRcsQueryComboxData = (data) => {
  return request({
    url: 'pms/baseRcs/queryComboxData.action',
    method: 'post',
    headers: {
      "Content-Type": "application/x-www-form-urlencoded;charset=utf-8",
    },
    data
  })
}

// 逐笔估值结果查询-获取列表
export const pmsQueryPage = (data) => {
  return request({
    url: 'pms/pmsone/queryPage.action',
    method: 'post',
    headers: {
      "Content-Type": "application/x-www-form-urlencoded;charset=utf-8",
    },
    data
  })
}

// 逐笔估值结果查询-重估值
export const reDoCalcFont = (data) => {
  return request({
    url: 'pms/pms/reDoCalcFont.action',
    method: 'post',
    headers: {
      "Content-Type": "application/x-www-form-urlencoded;charset=utf-8",
    },
    data
  })
}

// 逐笔估值结果查询-查看估值中间数据
export const pmsFindPmsResultDetail = (data) => {
  return request({
    url: 'pms/pmsFindPmsResultDetailNew.action',
    method: 'post',
    headers: {
      "Content-Type": "application/x-www-form-urlencoded;charset=utf-8",
    },
    data
  })
}